<template>
  <!-- 修改入库实绩页面 -->
  <div class="shipTransport">
    <page-title>返回</page-title>
    <div class="form">
      <div class="form_box">
          <dil-form :formId="228" v-model="form1"></dil-form>
      </div>        
    </div>
    <!-- 确定和取消 -->
    <div class="button_box">
      <el-button @click="onClickCancel">返回</el-button>
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
export default {
  components: { PageTitle },
    data(){
          return {
          form1: {},
        }
    },
  mounted() {
    this.information();
  },
  methods: {
    information() {
      //编辑请车作业
      this.axios
        .post("/api/v1/tms/getDeliveryAttorneyId/" + this.$route.params.attorneyId)
        .then((res) => {
          res.data.data.forEach((e) => {
            this.form1 = e;
          });
        });
    },
     // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
     // 确认
    onClickConfirm() {
      let mes = {
        resultId: this.$route.params.resultId,
        batchId: this.form1.batchId,
        portId: this.form1.portId,
        resultMaterialNumber: this.form1.resultMaterialNumber
      };
      function isNumber() {
        var value = mes.resultMaterialNumber;
        //验证是否为数字
        var patrn = /^(-)?\d+(\.\d+)?$/;
        if (patrn.exec(value) == null || value == "") {
          return false;
        } else {
          return true;
        }
      }
      var val = this.value;
      if (
        mes.batchId==null||
        mes.portId==null||
        mes.resultMaterialNumber==null
      ) this.$message.error("存在空值！");
      else
      if (!isNumber(val)) this.$message.error("物资件数必须是数字");
      else
      this.axios
        .post("/api/v1/tms/editDeliveryAttroney" , AmsshipDeliveryAttorney
        )
        .then(() => {
          this.$message({
            type: "success",  
            message: "修改成功!",
          });
          this.$router.go(-1);
        });
    },
  },
};
</script>
<style lang="scss">
.shipTransport{
  .form{
    display: flex;
    .form_box{
      width: 320px;
      margin-left: 35%;
      margin-top: 30px;
      margin-right: 20px;
      .el-form{
        .preview-group{
          .el-form-item{
            .el-form-item__label{
              display: inline-block;
              width: 70px !important;
            }
            .el-form-item__content{
              .el-select{
                width: 250px;
              }
              .el-input{
                width: 250px;
              }
            }
          }
        }
      }
    }
  }
  .button_box{
    margin-left: 45%;
  }
}
</style>